#include <amxmodx>
#include <amxmisc>
#include <cstrike>
#include <WPMGPrintChatColor>

#define PLUGIN "Money bonus"
#define VERSION "0.1"
#define AUTHOR "Death in the eyes"

#define PREFIX 		"!t[!gCSDM!t]!t"
#define TASK_BONUS 		53635

enum _:STRFLAGS {
	F_MESEDANT,
	F_SOZDATEL,
	F_ADMIN,
	F_VIP,
	F_USER
}

new g_cFlags[STRFLAGS];
new g_cBonus[STRFLAGS];
new cvar_time_bonus;


public get_admin_flag(cvar_flags) {
	new flags[24]
	get_pcvar_string(cvar_flags, flags, charsmax(flags))		
	return(read_flags(flags))
}

new g_iMaxPlayer;

public plugin_init() {
	register_plugin(PLUGIN, VERSION, AUTHOR)
	
	g_cFlags[F_USER] = register_cvar("bonus_flag_user","z"); //Флаг доступа обычного игрока
	g_cFlags[F_VIP] = register_cvar("bonus_flag_vip","n"); //Флаг доступа випа
	g_cFlags[F_ADMIN] = register_cvar("bonus_flag_admin","k"); //Флаг доступа админа
	g_cFlags[F_MESEDANT] = register_cvar("bonus_flag_mesedant","o"); //Флаг доступа Меценат 
	g_cFlags[F_SOZDATEL] = register_cvar("bonus_flag_sozdatel","q"); //Флаг доступа Создатель
	
	g_cBonus[F_USER] = register_cvar("bonus_size_user","400"); //Размер награды игрока.
	g_cBonus[F_VIP] = register_cvar("bonus_size_vip","600"); //Размер награды випа.
	g_cBonus[F_ADMIN] = register_cvar("bonus_size_admin","800"); //Размер награды админа.
	g_cBonus[F_MESEDANT] = register_cvar("bonus_size_mesedant","1000"); //Размер награды Меценат.
	g_cBonus[F_SOZDATEL] = register_cvar("bonus_size_sozdatel","1500"); //Размер награды Создатель.
	
	
	cvar_time_bonus = register_cvar("interval_time_bonus","120"); //Время в секундах между выдачами награды.
	
	g_iMaxPlayer = get_maxplayers();
	
	set_task(get_pcvar_float(cvar_time_bonus)+0.1,"taskGiveBonusPlayer",TASK_BONUS,_,_,"b");
}

public taskGiveBonusPlayer() {
	
	for(new id=1;id<=g_iMaxPlayer;id++) {
		if(is_user_connected(id) && !is_user_bot(id) && !is_user_hltv(id)) {
			
			for(new i=0;i<sizeof(g_cFlags);i++) {
				if(get_user_flags(id) & get_admin_flag(g_cFlags[i])) {
					
					if(cs_get_user_money(id) < 16000) {
						cs_set_user_money(id,cs_get_user_money(id) + get_pcvar_num(g_cBonus[i]));
						
						
						if(i == F_USER) {
							PrintChatColor(id, PRINT_COLOR_PLAYERTEAM,"%s Вы получили бонус как игрок: !g%d$",PREFIX,get_pcvar_num(g_cBonus[i]));
							PrintChatColor(id, PRINT_COLOR_PLAYERTEAM,"%s Хочешь больше? !gПокупай VIP!",PREFIX);
						}
						
						if(i == F_VIP) {
							PrintChatColor(id, PRINT_COLOR_PLAYERTEAM,"%s Вы получили бонус как VIP игрок: !g%d$",PREFIX,get_pcvar_num(g_cBonus[i]));
							PrintChatColor(id, PRINT_COLOR_PLAYERTEAM,"%s Хочешь больше? !gПокупай VIP+ADMIN!",PREFIX);
						}
						
						if(i == F_ADMIN) {
							PrintChatColor(id, PRINT_COLOR_PLAYERTEAM,"%s Вы получили бонус как VIP+ADMIN: !g%d$",PREFIX,get_pcvar_num(g_cBonus[i]));
						}
						if(i == F_MESEDANT) {
							PrintChatColor(id, PRINT_COLOR_PLAYERTEAM,"%s Вы получили бонус как Меценат: !g%d$",PREFIX,get_pcvar_num(g_cBonus[i]));
						}
						if(i == F_SOZDATEL) {
							PrintChatColor(id, PRINT_COLOR_PLAYERTEAM,"%s Вы получили бонус как Создатель: !g%d$",PREFIX,get_pcvar_num(g_cBonus[i]));
						}
					}
					break;
				}
			}
		}
	}
	
}


